package com.ss.android.ugc.aweme.crossplatform.activity;

import X.0HH;
import X.C2041KmO;
import X.C2274Kq9;
import X.C2275KqA;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.uikit.base.AbsFragment;
import com.ss.android.ugc.aweme.crossplatform.business.IMixActivityContainerProvider;
import com.ss.android.ugc.aweme.crossplatform.business.MixActivityContainerProvider;

public class CrossPlatformFragment extends AbsFragment {
    public MixActivityContainer LIZ;
    public C2041KmO LIZIZ;
    public Runnable LIZJ;

    static {
        Covode.recordClassIndex(62884);
    }

    public final void LIZ(Runnable runnable) {
        this.LIZJ = runnable;
        MixActivityContainer mixActivityContainer = this.LIZ;
        if (mixActivityContainer != null) {
            mixActivityContainer.LJ = runnable;
        }
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Bundle arguments = getArguments();
        arguments.putBoolean("webview_progress_bar", C2275KqA.LIZ(arguments));
        C2041KmO LIZ2 = C2274Kq9.LIZ(arguments);
        this.LIZIZ = LIZ2;
        IMixActivityContainerProvider LIZ3 = MixActivityContainerProvider.LIZ();
        if (LIZ3 != null) {
            this.LIZ = LIZ3.LIZ(getActivity(), LIZ2);
        }
        if (this.LIZ == null) {
            this.LIZ = new MixActivityContainer(getActivity(), LIZ2);
        }
        this.LIZ.LIZJ = getArguments();
        this.LIZ.LJ = this.LIZJ;
        getLifecycle().LIZ(this.LIZ);
    }

    public void onViewCreated(View view, Bundle bundle) {
        this.LIZ.LJIIJ();
        super.onViewCreated(view, bundle);
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return 0HH.LIZ(layoutInflater, 2131559458, viewGroup, false);
    }
}
